unit TwitchAPI.Entities;

interface

type

  TTwitchPagination = record
    Cursor: string;
  end;

  TTwitchExtensionAnalytics = record
    ExtensionID: string;
    URL: string;
    &Type: string;
    StartedAt: TDateTime;
    EndedAt: TDateTime;
  end;

  TTwitchUser = record
    ID: string;
    Login: string;
    DisplayName: string;
    &Type: string;
    BroadcasterType: string;
    Description: string;
    ProfileImageUrl: string;
    OfflineImageUrl: string;
    ViewCount: Integer;
    CreatedAt: TDateTime;
  end;

  TTwitchChannelInfo = record
    BroadcasterID: string;
    BroadcasterLogin: string;
    BroadcasterName: string;
    BroadcasterLanguage: string;
    GameID: string;
    GameName: string;
    Title: string;
    Delay: Integer;
    Tags: TArray<string>;
    ContentClassificationLabels: TArray<string>;
    IsBrandedContent: Boolean;
  end;

implementation

end.
